Bug 503598 - Review Request: sphinxbase - Common library for CMU Sphinx voice recognition products
Review Request: sphinxbase - Common library for CMU Sphinx voice recognition ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 504671
  Show dependency treegraph
 
Reported: 2009-06-01 16:30 EDT by Jerry James
Modified: 2009-08-25 18:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 18:11:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andrew: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2009-06-01 16:30:05 EDT
Spec URL: http://jjames.fedorapeople.org/sphinxbase/sphinxbase.spec
SRPM URL: http://jjames.fedorapeople.org/sphinxbase/sphinxbase-0.4.1-1.fc10.src.rpm
Description: Sphinxbase is a common library for CMU Sphinx voice recognition products.  This package does not provide voice recognition capabilities by itself.
Comment 1 Andrew Colin Kissa 2009-08-21 07:06:14 EDT
OK: rpmlint must be run on every package

rpmlint rpmbuild/RPMS/i586/sphinxbase-* rpmbuild/SPECS/sphinxbase.spec rpmbuild/SRPMS/sphinxbase-0.4.1-1.fc11.src.rpm 
sphinxbase-libs.i586: W: shared-lib-calls-exit /usr/lib/libsphinxbase.so.1.0.0 exit@GLIBC_2.0
sphinxbase-libs.i586: W: no-documentation
sphinxbase-python.i586: W: no-documentation
6 packages and 1 specfiles checked; 0 errors, 3 warnings.

OK: The package must be named according to the Package Naming Guidelines
OK: The spec file name must match the base package
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license
OK: The License field in the package spec file must match the actual license
OK: License text included
OK: The spec file must be written in American English
OK: The spec file for the package MUST be legible
OK: The sources used to build the package must match the upstream source

sha256sum sphinxbase-0.4.1.tar.bz2 rpmbuild/SOURCES/sphinxbase-0.4.1.tar.bz2 
d86cc8e874118ec736aaebbc377d252bd0f5c39c4c1278e4bf334d5426b22d0f  sphinxbase-0.4.1.tar.bz2
d86cc8e874118ec736aaebbc377d252bd0f5c39c4c1278e4bf334d5426b22d0f  rpmbuild/SOURCES/sphinxbase-0.4.1.tar.bz2


OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture

http://koji.fedoraproject.org/koji/taskinfo?taskID=1620017

N\A: ExcludeArch
OK: All build dependencies must be listed in BuildRequires
N\A: The spec file MUST handle locales properly
OK: Must call ldconfig in %post and %postun
N\A: If the package is designed to be relocatable
OK: A package must own all directories that it creates
OK: A Fedora package must not list a file more than once
OK: Permissions on files must be set properly
OK: Each package must have a %clean section
OK: Each package must consistently use macros
OK: The package must contain code, or permissable content
N\A: Large documentation files must go in a -doc subpackage
OK: If a package includes something as %doc, it must not affect the runtime of the application
OK: Header files must be in a -devel package
N\A: Static libraries must be in a -static package
OK: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK: Library files that end in .so (without suffix) must go in a -devel package
OK: In the vast majority of cases, devel packages must require the base package

Requires the libs package

OK: Packages must NOT contain any .la libtool archives
N\A: Packages containing GUI applications must include a %{name}.desktop file
OK: Packages must not own files or directories already owned by other packages
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
OK: All filenames in rpm packages must be valid UTF-8


-------------------------------------------------------------------
    This package (sphinxbase) is APPROVED by topdog
-------------------------------------------------------------------
Comment 2 Jerry James 2009-08-21 12:00:53 EDT
Thank you very much for the review.

New Package CVS Request
=======================
Package Name: sphinxbase
Short Description: Common library for CMU Sphinx voice recognition products
Owners: jjames
Branches: F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-08-24 15:37:03 EDT
cvs done.
Comment 4 Fedora Update System 2009-08-24 16:14:41 EDT
sphinxbase-0.4.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sphinxbase-0.4.1-1.fc11
Comment 5 Fedora Update System 2009-08-25 18:11:44 EDT
sphinxbase-0.4.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.